com.google.gwt.core.client.prefetch

## Class Prefetcher

- java.lang.Object
- - com.google.gwt.core.client.prefetch.Prefetcher

    public class Prefetcher
    extends java.lang.Object

This class allows requesting the download of resources before they are strictly needed. See the classes that implement `PrefetchableResource`. Currently, the only supported resource type is `RunAsyncCode`.

### Constructor Summary

Constructors
Constructor and Description
`Prefetcher()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `prefetch(java.lang.Iterable<? extends PrefetchableResource> resources)` Specify which resources should be prefetched.
`static void` `prefetch(PrefetchableResource resource)` Helper method to call `prefetch(Iterable)` with a single resource.
`static void` `start()` Start prefetching.
`static void` `stop()` Stop prefetching.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Prefetcher

    public Prefetcher()

### Method Detail

#### prefetch

    public static void prefetch(java.lang.Iterable<? extends PrefetchableResource> resources)

Specify which resources should be prefetched.

#### prefetch

    public static void prefetch(PrefetchableResource resource)

Helper method to call `prefetch(Iterable)` with a single resource.

#### start

    public static void start()

Start prefetching.

#### stop

    public static void stop()

Stop prefetching.